# Pingprovements

A mod that improves pings in Risk of Rain 2 in several different ways.

## Features

- Allows multiple pings by the same player
- Configurable lifetimes for all ping types
- Configurable colors for all ping types

## Installation

Simply copy `Pingprovements.dll` to your BepInEx plugin folder.

## Configuration

After the game has been started with the mod installed once, you will have a config file available with following options:

- `Durations`
  - `DefaultPingLifetime`: Lifetime of the default walk ping in seconds (default: `6`)
  - `EnemyPingLifetime`: Lifetime of the enemy ping in seconds (default: `8`)
  - `InteractiblePingLifetime`: Lifetime of the interactible ping in seconds (default: `30`)
- `Colors`
  - `DefaultPingColor`: Color of the default ping text (Default: `0.525,0.961,0.486,1.000`)
  - `EnemyPingColor`: Color of the enemy ping text (Default: `0.820,0.122,0.122,1.000`)
  - `InteractiblePingColor`: Color of the interactible ping text (Default: `0.886,0.871,0.173,1.000`)
- `SpriteColors`
  - `DefaultPingSpriteColor`: Color of the default ping sprite (Default: `0.527,0.962,0.486,1.000`)
  - `EnemyPingSpriteColor`: Color of the enemy ping sprite (Default: `0.821,0.120,0.120,1.000`)
  - `InteractiblePingSpriteColor`: Color of the interactible ping sprite (Default: `0.887,0.870,0.172,1.000`)

This mod overrides the internal `fixedTimer` for pings after it has been built, so no special conditions like teleporter or shrine pings will change the time for `InteractiblePingLifetime`.

## Changelog

### 1.1.0

- **Feature:** Ping Indicator colors are now customizable! The following new configuration variables are available:
  - `DefaultPingColor`
  - `DefaultPingSpriteColor`
  - `EnemyPingColor`
  - `EnemyPingSpriteColor`
  - `InteractiblePingColor`
  - `InteractiblePingSpriteColor`
- **Improvement:** Configuration is now split into three different sections `Colors`, `SpriteColors` and `Durations`.
- **Code Quality:** Removed superfluous cast to `int` for `PingIndicator.PingType` checks and directly cast to that enum type now.

**Upgrade:** _(applies to any version before 1.1.0)_  
The config section for lifetimes has changed, rename it from `Main` to `Durations` for your old settings to carry over!

### 1.0.1

- **Bugfix:** Fix issue where creating a ping on an object that already has been pinged, but the ping has been destroyed since, didn't work.

### 1.0.0

- Initial Release
